'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _MenuStyles = require('../MenuStyles');

var _odeumUi = require('odeum-ui');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BlueMenuPanel = function (_PureComponent) {
	_inherits(BlueMenuPanel, _PureComponent);

	function BlueMenuPanel(props) {
		_classCallCheck(this, BlueMenuPanel);

		var _this = _possibleConstructorReturn(this, (BlueMenuPanel.__proto__ || Object.getPrototypeOf(BlueMenuPanel)).call(this, props));

		_this.switch = function () {
			return _this.setState({ achordeon: !_this.state.achordeon });
		};

		_this.state = {
			achordeon: true
		};
		return _this;
	}

	_createClass(BlueMenuPanel, [{
		key: 'render',
		value: function render() {
			var _this2 = this;

			var CustomHeaderComponents = this.props.top;
			var CustomFooterComponents = this.props.bottom;
			var onMenuClickClose = this.props.onMenuClickClose;

			return _react2.default.createElement(
				_MenuStyles.BlueMenuContainer,
				{ achordeon: this.state.achordeon },
				CustomHeaderComponents.length === 0 ? _react2.default.createElement(
					_MenuStyles.DefaultHeader,
					null,
					_react2.default.createElement(
						_MenuStyles.IconDiv,
						{ onClick: this.switch,
							style: { cursor: 'pointer', alignSelf: 'left' } },
						_react2.default.createElement(_odeumUi.Icon, { icon: 'menu', iconSize: 20, color: 'white', style: { marginRight: '0px' } })
					)
				) : _react2.default.createElement(
					_MenuStyles.MenuHeader,
					null,
					this.props.top
				),
				onMenuClickClose ? this.props.children.map(function (c) {
					return c !== null ? _react2.default.cloneElement(c, _extends({}, c.props, { switch: _this2.switch, achordeon: _this2.state.achordeon })) : null;
				}) : this.props.children,
				_react2.default.createElement(
					_MenuStyles.MenuFooter,
					null,
					CustomFooterComponents ? CustomFooterComponents : null
				)
			);
		}
	}]);

	return BlueMenuPanel;
}(_react.PureComponent);

exports.default = BlueMenuPanel;